Subject: categories: Yoneda lemma

From: Danilov Nikita <[email-masked]>
Date: Thu, 12 Nov 1998 12:40:22 +0300

Hello all,

I got a proof that if Hom-functor h of category C factors through
complete category M up to natural isomorphism (that is $h \cong RP : C*
\times C --> Set$, where P is faithful forgetful functor P : M --> Set
and R : C* \times C --> M) and P preserves limits, then
1. for every category C' Hom-functor Nat of Funct(C',C) factors through
M up to isomorphism: Nat = Nat' P, and
2. if Hom-functor of M itself factors through M and is right adjointed
to multiplication functor (i.e., M is cartesian closed), P preserves
exponential adjoints and for every object x in C there is 
e_x : 1 --> R(x,x), such that e_xP selects 1_x in Hom(x,x), then for
every functor F : C --> M, compatible with R in obvious sense, these
exists natural (on x) isomorphism Nat'(R^x,F) \cong xF as objects in M,
that is Yoneda lemma holds.

Is this known/trivial/known-to-be-false?

Nikita.